# MongoDB\Driver\Server::isPassive

(mongodb >=1.0.0)

MongoDB\Driver\Server::isPassive — Checks if this server is a passive member of a replica set

### Description

final public MongoDB\Driver\Server::isPassive ( void ) : bool

Returns whether this server is a » passive member of a replica set (i.e. its priority is 0).

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if this server is a passive member of a replica set, and `FALSE` otherwise.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information about this server